export function getHelpListMaxNamePadding(list: HelpList, { keyPrefix }?: Pick<HelpListOptions, 'keyPrefix'>): number;
export function printHelpList(list: HelpList, indent: number, options?: HelpListOptions): string;
export function printGroupedHelpList(list: HelpList, indent: number, options?: HelpListGroupOptions): string;
export function printFlagList(list: HelpList, indent: number, options?: HelpListOptions): string;
export function printGroupedFlagList(list: HelpList, indent: number, options?: HelpListOptions & HelpListGroupOptions): string;
export type HelpListItem = Pick<import('./flags.js').AnyFlag, 'description' | 'shortFlag' | 'listGroup'>;
export type HelpList = Record<string, string | HelpListItem>;
export type HelpListOptions = {
    fixedPadName?: boolean;
    keyPrefix?: string;
    padName?: number;
};
export type HelpListGroupOptionsExtras = {
    alignWithinGroups?: boolean;
    defaultGroupName?: string;
    defaultGroupOrderFirst?: boolean;
    noTrim?: boolean;
};
export type HelpListGroupOptions = HelpListOptions & HelpListGroupOptionsExtras;
//# sourceMappingURL=format-lists.d.ts.map